Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Version

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.Version

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  VersionParameters

public class Version
extends java.lang.Object
implements java.lang.Cloneable

Objects of this class represent a version. This consists of a major and a minor version number.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected byte` | `major_` The major version number.
`protected byte` | `minor_` The minor version number.

Constructor Summary
`protected` | `Version()` Constructor for internal use only.
`protected` | `Version(CK_VERSION ckVersion)` Constructor taking a CK_VERSION object.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares major and minor version number of this objects with the other object.
`byte` | `getMajor()` Get the major version number.
`byte` | `getMinor()` Get the minor version number.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### major_

    protected byte major_

  The major version number.

### minor_

    protected byte minor_

  The minor version number.

Constructor Detail

### Version

    protected Version()

  Constructor for internal use only.

### Version

    protected Version(CK_VERSION ckVersion)

  Constructor taking a CK_VERSION object.
  Parameters:
    `ckVersion` - A CK_VERSION object.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getMajor

    public byte getMajor()

  Get the major version number.
  Returns:
    The major version number.

### getMinor

    public byte getMinor()

  Get the minor version number.
  Returns:
    The minor version number.

### toString

    public java.lang.String toString()

  Returns the string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this object

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares major and minor version number of this objects with the other object. Returns only true, if both are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other Version object.
  Returns:
    True, if other is an instance of Info and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object. Gained from the slotID_, state_ and deviceError_.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18